package com.ssm.manage.dao.impl;

import com.ssm.core.impl.BaseDaoImpl;
import com.ssm.manage.dao.SsmRefundCashDao;
import com.ssm.manage.entity.RefundCash;
import com.ssm.manage.entity.RefundOrderList;
import com.ssm.manage.mapper.RefundCashMapper;
import com.ssm.manage.query.RefundOrderResquest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class SsmRefundCashDaoImpl extends BaseDaoImpl<RefundCash> implements SsmRefundCashDao {
    @Autowired
    private RefundCashMapper mapper;

    @Override
    public RefundCashMapper getMapper() {
        return mapper;
    }

    @Override
    public List<RefundCash> selectList(RefundOrderResquest refundOrderResquest) {
        return mapper.selectList(refundOrderResquest);
    }
    @Override
    public List<RefundCash> selectLists(RefundOrderResquest refundOrderResquest) {
        return mapper.selectLists(refundOrderResquest);
    }

    @Override
    public List<RefundCash> selectListschia(RefundOrderResquest refundOrderResquest) {
        return mapper.selectListschia(refundOrderResquest);
    }
}
